Get JWT Token

Get JWT tokens

post

Exchange API Key credentials for JWT tokens.

Authorizations
X-Ledger-API-KeystringRequired

If you've set up your API Key when initializing your LAM, you'll need to include it as a header along with the api user header. For more details, see step 5 of the get started documentation.

X-Ledger-API-UserstringRequired

(required) Username of a registered API User

Body
api_key_idstringRequired

The API Key ID of your API user

Example: 2khK02ZRc_TE9nYJyGIfIQ
api_key_secretstringRequired

The API Key Secret of your API user

Example: jI0X2n55EHnNaZasmzfOL36wXx6b4D7Wmw-riZCeGWE
Responses
chevron-right
200

JWT tokens

application/json
access_tokenstringRequired

The JWT required to authenticate against our API

expires_inintegerRequired

The number of seconds this token is valid for

Example: 300
refresh_tokenstringRequired

The JWT used to get another access_token

session_statestringRequired

The session ID related to this token

token_typestringRequired

The type of authentication scheme

Example: Bearer
post
/auth/token